---
title: SourceBuffer.appendBuffer()
slug: Web/API/SourceBuffer/appendBuffer
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media
  - Media Source Extensions
  - Method
  - Reference
  - SourceBuffer
  - Video
  - appendBuffer
---
<div>{{draft}}{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>appendBuffer()</strong></code> method of the {{domxref("SourceBuffer")}} interface appends media segment data from an {{jsxref("ArrayBuffer")}} or <code>ArrayBufferView</code> object to the <code>SourceBuffer</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sourceBuffer</em>.appendBuffer(<em>source</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>source</code></dt>
 <dd>A {{domxref("BufferSource")}} (that is, either an {{domxref("ArrayBufferView")}} or {{jsxref("ArrayBuffer")}}) which contains the media segment data you want to add to the <code>SourceBuffer</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Example">Example</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#dom-sourcebuffer-appendbuffer', 'appendBuffer()')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.appendBuffer")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
